---
title: "Create a mailing list"
slug: "create-a-mailing-list"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to create an email list."
---
# Create a mailing list

`POST /lists/create.{Format}`

Creates a new empty email list in your account.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| Name | body | string | true | The name of the email list. |
| ConfirmationPage | body | string | false | The URL of the page displayed at the end of the subscription process. |
| RedirectAfterUnsubscribePage | body | string | false | The URL of the redirect page when users unsubscribe from your email list. |
| Preferences | body | array | true | The Preferences field options.SelectType The data type of the field.Possible values can be SingleSelect or MultiSelect. Required field.Options Max options 10IsRequired If the field is required. Default value false. |
| PreferencePageId | body | string | false | The preference page id. |

```http
POST https://{hostname}/v3/lists/create.{Format}?apikey= 
Request body: 

{
    "Name":"New List",
    "ConfirmationPage":"www.someUrl.com",
    "RedirectAfterUnsubscribePage":"www.someUrl.com",
    "Preferences": {
        "SelectType": "SingleSelect",
        "Options": \[
            "option a",
            "option b"
        \]
    },
    "PreferencePageId" : null
}
```

```curl
curl --include --globoff --location \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
        "Name": "New List",
        "ConfirmationPage": "www.someUrl.com",
        "RedirectAfterUnsubscribePage": "www.someUrl.com",
        "Preferences": {
            "SelectType": "SingleSelect",
            "Options": \[
                "option a",
                "option b"
            \]
        },
        "PreferencePageId": null
     }' \\
'https://{hostname}/v3/lists/create.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": "6ca52d31-765c-4760-a78e-91e511e49d76"
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - the ID of the email list created.